---
services:

    Chill\CalendarBundle\Repository\:
        autowire: true
        autoconfigure: true
        resource: '../../Repository/'

    Chill\CalendarBundle\Menu\:
        autowire: true
        autoconfigure: true
        resource: '../../Menu/'
        tags: ['chill.menu_builder']

    Chill\CalendarBundle\Command\:
        autowire: true
        autoconfigure: true
        resource: '../../Command/'

    Chill\CalendarBundle\Messenger\:
        autowire: true
        autoconfigure: true
        resource: '../../Messenger/'

    Chill\CalendarBundle\Command\AzureGrantAdminConsentAndAcquireToken:
        autoconfigure: true
        autowire: true
        arguments:
            $azure: '@knpu.oauth2.provider.azure'
        tags: ['console.command']

    Chill\CalendarBundle\Security\:
        autoconfigure: true
        autowire: true
        resource: '../../Security/'

    Chill\CalendarBundle\Service\:
        autoconfigure: true
        autowire: true
        resource: '../../Service/'

    Chill\CalendarBundle\Service\ShortMessageForCalendarBuilderInterface:
        alias: Chill\CalendarBundle\Service\DefaultShortMessageForCalendarBuider
